Subject: Placeholder for TCEForm fields text/input
Description

We need the possibility to display a placeholder/ghosttext in TCEForm fields to guide the user about default values. The Placeholder
will disappear as soon as the user enters a value.
The Placeholder should be configurable by TCA config.

Allowed syntax:

    -  "Foobar" => will display "Foobar" as placeholder
    -  "LLL:EXT:foobar/Resources/Private/Languages/locallang.xml" => support "LLL:" syntax
    -  "__row|fieldName" => will display the value of /fieldName/ as placeholder
    -  "__row|relationField|fieldName" => If "relationField" is configured as group/db, display the value of "fieldName" of the foreign
record as placeholder.

http://etobi.de/screens/placholder-20120116-213633.png

This feature was part of the BLE project.

Related issues:
related to TCA Reference - Feature # 52730: Placeholder property in some fields Closed 2013-10-12
related to Core - Bug # 52630: PlaceHolder Feature in TCEforms only works on ... Resolved 2013-11-13 2013-11-13

Associated revisions
Revision 91da9e85 - 2012-02-01 17:44 - Tobias Liebig

[FEATURE] Placeholder for TCEForm fields

Possibility to display a placeholder/ghosttext in TCEForm fields to guide the user about default values. The Placeholder will disappear as soon as the
user enters a value. The Placeholder is configurable by TCA config. Uses the HTML5 placeholder attribute.
#1 - 2012-01-16 21:38 - Tobias Liebig
- Status changed from New to Accepted

#2 - 2012-01-16 21:44 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7823

#3 - 2012-01-19 08:49 - Georg Ringer

as we are using html5 in backend, why not use the placeholder attribute anyway?

#4 - 2012-01-19 11:43 - Tobias Liebig

Georg Ringer wrote:

as we are using html5 in backend, why not use the placeholder attribute anyway?

Currently the placeholder-attribute is only supported by the latest Webkit (Safari Nightly) and Chrome. This is why i implemented the JS-part to emulate
the behavior.

BTW: Thanks for your review. I'll take care about your comments soon.

#5 - 2012-01-19 12:18 - Georg Ringer

it works also in current firefox and normal safari 5.0.5

IMO it is absolutly fine to use this and not the additional JS + overhead

#6 - 2012-01-30 17:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7823

#7 - 2012-01-30 17:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7823

#8 - 2012-01-30 18:18 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7823
#9 - 2012-02-02 02:30 - Tobias Liebig
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:91da9e85ae49fd76f21df816c0985532783f0a1d.
